## rocksndiamonds 4.0.0.1+dfsg

=== Makefile ===
# =============================================================================
# Rocks'n'Diamonds - McDuffin Strikes Back!
# -----------------------------------------------------------------------------
# (c) 1995-2015 by Artsoft Entertainment
#                  Holger Schemel
#                  info@artsoft.org
#                  http://www.artsoft.org/
# -----------------------------------------------------------------------------
# Makefile
# =============================================================================

# -----------------------------------------------------------------------------
# configuration
# -----------------------------------------------------------------------------

# command name of your favorite ANSI C compiler
# (this must be set to "cc" for some systems)
CC = gcc

# command name of GNU make on your system
# (this must be set to "gmake" for some systems)
MAKE = make

# directory for read-only game data (like graphics, sounds, levels)
# (this directory is usually the game's installation directory)
# default is '.' to be able to run program without installation
# RO_GAME_DIR = .
# use the following setting for Debian / Ubuntu installations:
# RO_GAME_DIR = /usr/share/games/rocksndiamonds

# directory for writable game data (like highscore files)
# (if no "scores" directory exists, scores are saved in user data directory)
# default is '.' to be able to run program without installation
# RW_GAME_DIR = .
# use the following setting for Debian / Ubuntu installations:
# RW_GAME_DIR = /var/games/rocksndiamonds

# uncomment if system has no joystick include file
# JOYSTICK = -DNO_JOYSTICK

# choose if more than one global score file entry for one player is allowed
# (default: MANY_PER_NAME)
# uncomment to install game in multi-user environment
# SCORE_ENTRIES = ONE_PER_NAME
# uncomment to install game in single-user environment (default)
# SCORE_ENTRIES = MANY_PER_NAME

# path for cross-compiling (only needed for non-native Windows build)
CROSS_PATH_WIN32 = /usr/local/cross-tools/i386-mingw32msvc


# -----------------------------------------------------------------------------
# there should be no need to change anything below
# -----------------------------------------------------------------------------

.EXPORT_ALL_VARIABLES:

SRC_DIR = src
MAKE_CMD = $(MAKE) -C $(SRC_DIR)


# -----------------------------------------------------------------------------
# build targets
# -----------------------------------------------------------------------------

all:
	@$(MAKE_CMD)

sdl:
	@$(MAKE_CMD) TARGET=sdl

sdl2:
	@$(MAKE_CMD) TARGET=sdl2

mac:
	@$(MAKE_CMD) PLATFORM=macosx

cross-win32:
	@PATH=$(CROSS_PATH_WIN32)/bin:${PATH} $(MAKE_CMD) PLATFORM=cross-win32

clean:
	@$(MAKE_CMD) clean

clean-git:
	@$(MAKE_CMD) clean-git


# -----------------------------------------------------------------------------
# development, test, distribution build and packaging targets
# -----------------------------------------------------------------------------

auto-conf:
	@$(MAKE_CMD) auto-conf

run: all
	@$(MAKE_CMD) run

gdb: all
	@$(MAKE_CMD) gdb

valgrind: all
	@$(MAKE_CMD) valgrind

enginetest: all
	./Scripts/make_enginetest.sh

enginetestcustom: all
	./Scripts/make_enginetest.sh custom

enginetestfast: all
	./Scripts/make_enginetest.sh fast

enginetestnew: all
	./Scripts/make_enginetest.sh new

leveltest: all
	./Scripts/make_enginetest.sh leveltest

levelsketch_images: all
	./Scripts/make_levelsketch_images.sh

dist-clean:
	@$(MAKE_CMD) dist-clean

dist-build-unix:
	@BUILD_DIST=TRUE $(MAKE)

dist-build-win32:
	@BUILD_DIST=TRUE $(MAKE) cross-win32

dist-build-macosx:
	@BUILD_DIST=TRUE $(MAKE)

dist-package-unix:
	./Scripts/make_dist.sh package unix

dist-package-win32:
	./Scripts/make_dist.sh package win

dist-package-macosx:
	./Scripts/make_dist.sh package mac

dist-upload-unix:
	./Scripts/make_dist.sh upload unix

dist-upload-win32:
	./Scripts/make_dist.sh upload win

dist-upload-macosx:
	./Scripts/make_dist.sh upload mac

dist-package-all:
	$(MAKE) dist-package-unix
	$(MAKE) dist-package-win32
	$(MAKE) dist-package-macosx

dist-upload-all:
	$(MAKE) dist-upload-unix
	$(MAKE) dist-upload-win32
	$(MAKE) dist-upload-macosx

package-all: dist-package-all

upload-all: dist-upload-all

tags:
	$(MAKE_CMD) tags

depend dep:
	$(MAKE_CMD) depend

=== src/Makefile ===
# =============================================================================
# Rocks'n'Diamonds - McDuffin Strikes Back!
# -----------------------------------------------------------------------------
# (c) 1995-2015 by Artsoft Entertainment
#                  Holger Schemel
#                  info@artsoft.org
#                  http://www.artsoft.org/
# -----------------------------------------------------------------------------
# src/Makefile
# =============================================================================

# -----------------------------------------------------------------------------
# configuration
# -----------------------------------------------------------------------------

.EXPORT_ALL_VARIABLES:

ifndef PLATFORM				# unknown platform -- default to Unix
PLATFORM = unix
endif

AR = ar
RANLIB = ranlib
ETAGS = etags
RM = rm -f

CONVERT = convert
WINDRES = windres

CONVERT_ICON_ARGS = -transparent black -background transparent

PROGBASE = rocksndiamonds
PROGNAME = ../$(PROGBASE)


# -----------------------------------------------------------------------------
# configuring platform
# -----------------------------------------------------------------------------

ifeq ($(PLATFORM),macosx)		# compiling on Mac OS X
EXTRA_LDFLAGS = -lstdc++
override PLATFORM = unix
endif

ifeq ($(PLATFORM),unix)			# compiling on Unix/Linux (generic)
PROFILING_FLAGS = -pg
endif

ifeq ($(PLATFORM),cross-win32)		# cross-compiling to Windows
PROGNAME = ../$(PROGBASE).exe
EXTRA_LDFLAGS = -lshfolder -lwsock32
endif


# -----------------------------------------------------------------------------
# configuring target
# -----------------------------------------------------------------------------

ifndef TARGET				# auto-detect compiling for SDL or SDL2
  SDL_VERSION := $(shell sdl2-config --version 2> /dev/null)
  ifdef SDL_VERSION
    TARGET = sdl2
  else
    SDL_VERSION := $(shell sdl-config --version 2> /dev/null)
    ifdef SDL_VERSION
      TARGET = sdl
    else
      $(error SDL/SDL2 library not found)
    endif
  endif
endif

# $(info Using SDL version $(SDL_VERSION) [TARGET == $(TARGET)])

ifeq ($(TARGET),sdl)			# compiling for SDL target
SYS_CFLAGS = -DTARGET_SDL $(shell sdl-config --cflags)
SDL_LIBS = -lSDL_image -lSDL_mixer -lSDL_net
SYS_LDFLAGS = $(SDL_LIBS) $(shell sdl-config --libs)
endif

ifeq ($(TARGET),sdl2)			# compiling for SDL2 target
SYS_CFLAGS = -DTARGET_SDL2 $(shell sdl2-config --cflags)
SDL_LIBS = -lSDL2_image -lSDL2_mixer -lSDL2_net
SYS_LDFLAGS = $(SDL_LIBS) $(shell sdl2-config --libs)
endif


# -----------------------------------------------------------------------------
# configuring compile-time definitions
# -----------------------------------------------------------------------------

ifdef RO_GAME_DIR			# path to read-only game data specified
CONFIG_RO_GAME_DIR = -DRO_GAME_DIR="\"$(RO_GAME_DIR)\""
endif

ifdef RW_GAME_DIR			# path to writable game data specified
CONFIG_RW_GAME_DIR = -DRW_GAME_DIR="\"$(RW_GAME_DIR)\""
endif

ifdef SCORE_ENTRIES			# number of score entries per player
CONFIG_SCORE_ENTRIES = -D$(SCORE_ENTRIES)
endif

CONFIG_GAME_DIR = $(CONFIG_RO_GAME_DIR) $(CONFIG_RW_GAME_DIR)
CONFIG_GAME = $(CONFIG_GAME_DIR) $(CONFIG_SCORE_ENTRIES)

CONFIG = $(CONFIG_GAME) $(JOYSTICK)
DEBUG = -DDEBUG -g
# PROFILING = $(PROFILING_FLAGS)

# OPTIONS = $(DEBUG) -Wall			# only for debugging purposes
# OPTIONS = $(DEBUG) -O3 -Wall			# only for debugging purposes
OPTIONS = $(DEBUG) -Wall			# only for debugging purposes
# OPTIONS = $(DEBUG) -Wall -ansi -pedantic	# only for debugging purposes
# OPTIONS = -O3 -Wall -ansi -pedantic
# OPTIONS = -O3 -Wall
# OPTIONS = -O3

ifdef BUILD_DIST			# distribution build
SYS_LDFLAGS := $(shell echo $(SYS_LDFLAGS) |	\
		       sed -e "s%-rpath,[^ ]*%-rpath,'\$$ORIGIN/lib'%")
OPTIONS = -O3 -Wall
endif

CFLAGS = $(OPTIONS) $(SYS_CFLAGS)  $(EXTRA_CFLAGS) $(CONFIG)
LDFLAGS =           $(SYS_LDFLAGS) $(EXTRA_LDFLAGS) -lm


SRCS =	main.c		\
	conf_gfx.c	\
	conf_snd.c	\
	conf_mus.c	\
	conf_hlp.c	\
	init.c		\
	config.c	\
	events.c	\
	tools.c		\
	screens.c	\
	game.c		\
	editor.c	\
	files.c		\
	tape.c		\
	anim.c		\
	network.c	\
	netserv.c

OBJS =	main.o		\
	conf_gfx.o	\
	conf_snd.o	\
	conf_mus.o	\
	conf_hlp.o	\
	init.o		\
	config.o	\
	events.o	\
	tools.o		\
	screens.o	\
	game.o		\
	editor.o	\
	files.o		\
	tape.o		\
	anim.o		\
	network.o	\
	netserv.o

CNFS =	conf_gfx.h	\
	conf_snd.h	\
	conf_mus.h	\
	conf_chr.c	\
	conf_chr.h	\
	conf_cus.c	\
	conf_cus.h	\
	conf_grp.c	\
	conf_grp.h	\
	conf_e2g.c	\
	conf_esg.c	\
	conf_e2s.c	\
	conf_fnt.c	\
	conf_g2s.c	\
	conf_g2m.c	\
	conf_var.c	\
	conf_act.c

CNFS_CMD = ../build-scripts/create_element_defs.pl

TIMESTAMP_FILE = conftime.h
TIMESTAMP_FORMAT = %Y-%m-%d %H:%M

# use SOURCE_DATE_EPOCH, or else last Git commit date, or else current date
SOURCE_DATE_EPOCH ?= $(shell test -d ../.git && test `git ls-files -m | wc -l` -eq 0 && git show -s --format=%ct || date +%s)

# get source date string from either GNU / Linux or BSD / Mac OS X style "date"
SOURCE_DATE_STRING := $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(TIMESTAMP_FORMAT)"  2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(TIMESTAMP_FORMAT)" 2>/dev/null || date -u "+$(TIMESTAMP_FORMAT)")

LIBGAME_DIR = libgame
LIBGAME = $(LIBGAME_DIR)/libgame.a

GAME_EM_DIR = game_em
GAME_EM = $(GAME_EM_DIR)/game_em.a

GAME_SP_DIR = game_sp
GAME_SP = $(GAME_SP_DIR)/game_sp.a

RNDLIBS = $(LIBGAME) $(GAME_EM) $(GAME_SP)
AUTOCONF = conf_gfx.h conf_snd.h conf_mus.h

ICONBASE = windows_icon
ICON_BASEPATH = ../Special/Icons/windows_icons

ifeq ($(PLATFORM),cross-win32)
ICON_PATH = $(ICON_BASEPATH)/default
ICON = $(ICONBASE).o
endif

GRAPHICS_DIR = ../graphics


# -----------------------------------------------------------------------------
# build targets
# -----------------------------------------------------------------------------

all: $(AUTOCONF) libgame_dir game_em_dir game_sp_dir $(PROGNAME) graphics_dir

$(PROGNAME): $(RNDLIBS) $(TIMESTAMP_FILE) $(OBJS) $(ICON)
	$(CC) $(PROFILING) $(OBJS) $(ICON) $(RNDLIBS) $(LDFLAGS) -o $(PROGNAME)
ifdef BUILD_DIST
	strip $(PROGNAME)
endif

libgame_dir:
	@$(MAKE) -C $(LIBGAME_DIR)
$(LIBGAME):
	@$(MAKE) -C $(LIBGAME_DIR)

game_em_dir:
	@$(MAKE) -C $(GAME_EM_DIR)
$(GAME_EM):
	@$(MAKE) -C $(GAME_EM_DIR)

game_sp_dir:
	@$(MAKE) -C $(GAME_SP_DIR)
$(GAME_SP):
	@$(MAKE) -C $(GAME_SP_DIR)

auto-conf:
	@for i in $(CNFS); do			\
		echo "$(CNFS_CMD) $$i > $$i";	\
		$(CNFS_CMD) $$i > $$i;		\
	done

auto-conf-clean:
	@for i in $(CNFS); do			\
		echo "$(RM) $$i";		\
		$(RM) $$i;			\
	done

conf_gfx.h: conf_gfx.c $(CNFS_CMD)
	@$(MAKE) auto-conf

conf_snd.h: conf_snd.c $(CNFS_CMD)
	@$(MAKE) auto-conf

conf_mus.h: conf_mus.c $(CNFS_CMD)
	@$(MAKE) auto-conf

$(TIMESTAMP_FILE): $(SRCS) $(RNDLIBS)
	@echo '#define SOURCE_DATE_STRING "$(SOURCE_DATE_STRING)"' \
	> $(TIMESTAMP_FILE)

$(ICON):
#	$(CONVERT) $(ICON32X32) $(CONVERT_ICON_ARGS) $(ICONBASE).ico
	$(CONVERT) $(ICON_PATH)/*.png $(CONVERT_ICON_ARGS) $(ICONBASE).ico
	echo "$(ICONBASE) ICON $(ICONBASE).ico" | $(WINDRES) -o $(ICON)

.c.o:
	$(CC) $(PROFILING) $(CFLAGS) -c $*.c

graphics_dir:
	@test -f $(GRAPHICS_DIR)/Makefile && $(MAKE) -C $(GRAPHICS_DIR) || true

clean-obj:
	$(MAKE) -C $(LIBGAME_DIR) clean
	$(MAKE) -C $(GAME_EM_DIR) clean
	$(MAKE) -C $(GAME_SP_DIR) clean
	$(RM) $(OBJS)
	$(RM) $(RNDLIBS)

clean-ico:
	$(RM) $(ICONBASE).ico
	$(RM) $(ICONBASE).o

clean-bin:
	$(RM) $(PROGNAME)
	$(RM) ../*.exe

clean: clean-obj clean-ico clean-bin

clean-git: clean auto-conf-clean
	@$(MAKE) -C $(GRAPHICS_DIR) clean

dist-clean: clean-obj clean-ico


# -----------------------------------------------------------------------------
# run and test targets
# -----------------------------------------------------------------------------

run:
	cd .. && ./$(PROGBASE) --verbose

gdb:
	cd .. && gdb -batch -x GDB_COMMANDS ./$(PROGBASE)

valgrind:
	cd .. && valgrind -v --leak-check=yes ./$(PROGBASE) 2> valgrind.out


# -----------------------------------------------------------------------------
# development only
# -----------------------------------------------------------------------------

tags:
	$(ETAGS) *.[ch] $(LIBGAME_DIR)/*.[ch] $(GAME_EM_DIR)/*.[ch] $(GAME_SP_DIR)/*.[ch]

depend:
	$(MAKE) -C $(LIBGAME_DIR) depend
	$(MAKE) -C $(GAME_EM_DIR) depend
	$(MAKE) -C $(GAME_SP_DIR) depend
	for i in $(SRCS); do $(CPP) $(CFLAGS) -M $$i; done > .depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
rocksndiamonds (4.0.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release, obsoleting all patches (closes: #752493).
  * Update debian/watch; thanks to Bart Martens!
  * Fix the VCS browser URL.
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8.
  * Drop dependency on perl-modules.
  * Switch to debhelper compatibility level 10.
  * Add a desktop file and remove the old menu file (thanks to Andreas
    Stempfhuber for the patch; closes: #658930, #727032).
  * Update download information (closes: #752495).

 -- Stephen Kitt <skitt@debian.org>  Tue, 17 Jan 2017 22:55:20 +0100

=== debian/control ===
Source: rocksndiamonds
Maintainer: Dmitry E. Oboukhov <unera@debian.org>
Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Section: contrib/games
Priority: extra
Build-Depends: debhelper (>= 10),
               cdbs,
               po-debconf,
               libsdl2-dev,
               libsdl2-image-dev,
               libsdl2-mixer-dev,
               libsdl2-net-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/rocksndiamonds.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/rocksndiamonds.git
Homepage: http://artsoft.org

Package: rocksndiamonds
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         p7zip,
         wget,
         unzip,
         zip
Pre-Depends: debconf | debconf-2.0
Conflicts: rocksndiamonds-data,
           rocksndiamonds-zelda,
           rocks-n-diamonds
Description: arcade-style game
 This package provides the game engine for Rocks'n'Diamonds, an arcade
 game in the tradition of "Boulder Dash", "Emerald Mine", "Supaplex",
 "Sokoban", etcetera. Game levels emulating all of these can be
 downloaded from ArtSoft.org.

=== debian/rules ===
#!/usr/bin/make -f


VERSION			:=	$(shell dpkg-parsechangelog \
				|grep ^Version \
				|awk '{print $$2}' \
				|sed 's/-[0-9]\+$$//')

UPSTREAM_VERSION	:=	$(shell echo $(VERSION)|sed 's/+.*//')

LEVEL_DIR		:=	/usr/share/games/rocksndiamonds

include /usr/share/cdbs/1/rules/debhelper.mk

build/rocksndiamonds::
	make RO_GAME_DIR=$(LEVEL_DIR) sdl2

install/rocksndiamonds::
	set -e; \
	for file in postinst preinst prerm; do \
		cp debian/$$file.in debian/$$file; \
		perl -pi -e 's/#VERSION#/$(UPSTREAM_VERSION)/g' \
			debian/$$file; \
	done
	mv rocksndiamonds rocksndiamonds-bin
	install -m 0755 debian/start_binary.sh rocksndiamonds

clean::
	make clean
	rm -fr src/conftime.h rocksndiamonds-bin \
		debian/postinst debian/preinst debian/prerm
	debconf-updatepo

=== debian/watch ===
version=3
opts=dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack)\.?\d*$/$1/ \
http://artsoft.org/rocksndiamonds/download.html \
(?:.*/|.*=|)rocksndiamonds[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?

## rocksndiamonds 4.0.0.2+dfsg

=== debian/changelog ===
rocksndiamonds (4.0.0.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Update debian/copyright.
  * Standards-Version 4.0.0, no further change required.
  * Rely on pkg-info.mk instead of running dpkg-parsechangelog to
    determine the version.
  * Ignore irrelevant Lintian warnings for unused Debconf templates and
    an empty directory.

 -- Stephen Kitt <skitt@debian.org>  Wed, 26 Jul 2017 23:15:12 +0200

rocksndiamonds (4.0.0.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Switch maintainer and uploaders (as standard for team-maintained
    packages), and add myself to uploaders with Dmitry’s approval.
  * Rewrite debian/copyright in machine-readable format.
  * Add repack suffix option to debian/watch.

 -- Stephen Kitt <skitt@debian.org>  Sat, 06 May 2017 20:16:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: rocksndiamonds
-Maintainer: Dmitry E. Oboukhov <unera@debian.org>
-Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Dmitry E. Oboukhov <unera@debian.org>, Stephen Kitt <skitt@debian.org>
 Section: contrib/games
 Priority: extra
 Build-Depends: debhelper (>= 10),
@@ -10,7 +10,7 @@
                libsdl2-image-dev,
                libsdl2-mixer-dev,
                libsdl2-net-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/rocksndiamonds.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/rocksndiamonds.git
 Homepage: http://artsoft.org

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,10 @@
 #!/usr/bin/make -f
 
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/dpkg/pkg-info.mk
 
-VERSION			:=	$(shell dpkg-parsechangelog \
-				|grep ^Version \
-				|awk '{print $$2}' \
-				|sed 's/-[0-9]\+$$//')
-
-UPSTREAM_VERSION	:=	$(shell echo $(VERSION)|sed 's/+.*//')
-
-LEVEL_DIR		:=	/usr/share/games/rocksndiamonds
-
-include /usr/share/cdbs/1/rules/debhelper.mk
+UPSTREAM_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/+.*//')
+LEVEL_DIR := /usr/share/games/rocksndiamonds
 
 build/rocksndiamonds::
 	make RO_GAME_DIR=$(LEVEL_DIR) sdl2

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack)\.?\d*$/$1/ \
http://artsoft.org/rocksndiamonds/download.html \
(?:.*/|.*=|)rocksndiamonds[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?

## rocksndiamonds 4.0.1.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -37,13 +37,6 @@
 
 # uncomment if system has no joystick include file
 # JOYSTICK = -DNO_JOYSTICK
-
-# choose if more than one global score file entry for one player is allowed
-# (default: MANY_PER_NAME)
-# uncomment to install game in multi-user environment
-# SCORE_ENTRIES = ONE_PER_NAME
-# uncomment to install game in single-user environment (default)
-# SCORE_ENTRIES = MANY_PER_NAME
 
 # path for cross-compiling (only needed for non-native Windows build)
 CROSS_PATH_WIN32 = /usr/local/cross-tools/i386-mingw32msvc

=== src/Makefile ===
--- 
+++ 
@@ -97,15 +97,10 @@
 CONFIG_RW_GAME_DIR = -DRW_GAME_DIR="\"$(RW_GAME_DIR)\""
 endif
 
-ifdef SCORE_ENTRIES			# number of score entries per player
-CONFIG_SCORE_ENTRIES = -D$(SCORE_ENTRIES)
-endif
-
-CONFIG_GAME_DIR = $(CONFIG_RO_GAME_DIR) $(CONFIG_RW_GAME_DIR)
-CONFIG_GAME = $(CONFIG_GAME_DIR) $(CONFIG_SCORE_ENTRIES)
-
-CONFIG = $(CONFIG_GAME) $(JOYSTICK)
+CONFIG = $(CONFIG_RO_GAME_DIR) $(CONFIG_RW_GAME_DIR) $(JOYSTICK)
+
 DEBUG = -DDEBUG -g
+
 # PROFILING = $(PROFILING_FLAGS)
 
 # OPTIONS = $(DEBUG) -Wall			# only for debugging purposes

=== src/game_em/Makefile ===
# =============================================================================
# Rocks'n'Diamonds - McDuffin Strikes Back!
# -----------------------------------------------------------------------------
# (c) 1995-2014 by Artsoft Entertainment
#                  Holger Schemel
#                  info@artsoft.org
#                  http://www.artsoft.org/
# -----------------------------------------------------------------------------
# The native Emerald Mine game engine is based on:
# Emerald Mine for X11 (c) 2000,2001 David Tritscher
# -----------------------------------------------------------------------------
# src/game_em/Makefile
# =============================================================================

# -----------------------------------------------------------------------------
# configuration
# -----------------------------------------------------------------------------

SRCS =	cave.c		\
	convert.c	\
	graphics.c	\
	init.c		\
	input.c		\
	main.c		\
	sound.c		\
	synchro_1.c	\
	synchro_2.c	\
	synchro_3.c	\
	tab_generate.c	\
	ulaw_generate.c

OBJS =	cave.o		\
	convert.o	\
	graphics.o	\
	init.o		\
	input.o		\
	main.o		\
	sound.o		\
	synchro_1.o	\
	synchro_2.o	\
	synchro_3.o	\
	tab_generate.o	\
	ulaw_generate.o

GAME_EM = game_em.a


# -----------------------------------------------------------------------------
# build targets
# -----------------------------------------------------------------------------

all: $(GAME_EM)

$(GAME_EM): $(OBJS)
	$(AR) cru $(GAME_EM) $(OBJS)
	$(RANLIB) $(GAME_EM)

.c.o:
	$(CC) $(PROFILING) $(CFLAGS) -c $*.c

clean:
	$(RM) $(OBJS)
	$(RM) $(GAME_EM)


# -----------------------------------------------------------------------------
# development only
# -----------------------------------------------------------------------------

depend:
	for i in $(SRCS); do $(CPP) $(CFLAGS) -M $$i; done > .depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
rocksndiamonds (4.0.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Switch to secured upstream URL in debian/watch.
  * Change priority to “optional”.
  * Fix a couple of spelling mistakes.
  * Enable hardening build flags.
  * Standards-Version 4.1.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 21 Oct 2017 23:13:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Dmitry E. Oboukhov <unera@debian.org>, Stephen Kitt <skitt@debian.org>
 Section: contrib/games
-Priority: extra
+Priority: optional
 Build-Depends: debhelper (>= 10),
                cdbs,
                po-debconf,
@@ -10,7 +10,7 @@
                libsdl2-image-dev,
                libsdl2-mixer-dev,
                libsdl2-net-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/rocksndiamonds.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/rocksndiamonds.git
 Homepage: http://artsoft.org

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,11 @@
 #!/usr/bin/make -f
+
+DPKG_EXPORT_BUILDFLAGS = 1
+export DEB_BUILD_MAINT_OPTIONS=harderning=+all
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/buildflags.mk
 
 UPSTREAM_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/+.*//')
 LEVEL_DIR := /usr/share/games/rocksndiamonds

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack)\.?\d*$/$1/ \
https://artsoft.org/rocksndiamonds/download/ \
(?:.*/|.*=|)rocksndiamonds[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?

## rocksndiamonds 4.1.0.0+dfsg

=== debian/changelog ===
rocksndiamonds (4.1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release, with an updated Supaplex level collection.
  * Migrate to Salsa.
  * Tell Lintian to ignore specific recursive chowns/chmods, they’re safe
    (famous last words).
  * Standards-Version 4.1.4, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 01 Jun 2018 09:10:07 +0200

rocksndiamonds (4.0.1.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compatibility level 11, with “simple dh” rules
    instead of cdbs.

 -- Stephen Kitt <skitt@debian.org>  Sat, 03 Mar 2018 23:11:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,15 @@
 Uploaders: Dmitry E. Oboukhov <unera@debian.org>, Stephen Kitt <skitt@debian.org>
 Section: contrib/games
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               cdbs,
+Build-Depends: debhelper (>= 11~),
                po-debconf,
                libsdl2-dev,
                libsdl2-image-dev,
                libsdl2-mixer-dev,
                libsdl2-net-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/rocksndiamonds.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/rocksndiamonds.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/games-team/rocksndiamonds
+Vcs-Git: https://salsa.debian.org/games-team/rocksndiamonds.git
 Homepage: http://artsoft.org
 
 Package: rocksndiamonds

## rocksndiamonds 4.1.1.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -49,7 +49,10 @@
 .EXPORT_ALL_VARIABLES:
 
 SRC_DIR = src
+ANDROID_DIR ?= android
+
 MAKE_CMD = $(MAKE) -C $(SRC_DIR)
+MAKE_CMD_ANDROID = $(MAKE) -C $(ANDROID_DIR)
 
 
 # -----------------------------------------------------------------------------
@@ -71,16 +74,38 @@
 cross-win32:
 	@PATH=$(CROSS_PATH_WIN32)/bin:${PATH} $(MAKE_CMD) PLATFORM=cross-win32
 
+android-compile:
+	@$(MAKE_CMD_ANDROID) compile
+
+android-package:
+	@$(MAKE_CMD_ANDROID) package
+
+android-install:
+	@$(MAKE_CMD_ANDROID) install
+
+android-assets-toc:
+	@$(MAKE_CMD_ANDROID) assets-toc
+
+android-clean:
+	@$(MAKE_CMD_ANDROID) clean
+
+android: android-package
+
 clean:
 	@$(MAKE_CMD) clean
 
 clean-git:
 	@$(MAKE_CMD) clean-git
 
-
-# -----------------------------------------------------------------------------
-# development, test, distribution build and packaging targets
-# -----------------------------------------------------------------------------
+clean-android: android-clean
+
+
+# -----------------------------------------------------------------------------
+# development targets
+# -----------------------------------------------------------------------------
+
+MAKE_ENGINETEST = ./Scripts/make_enginetest.sh
+MAKE_LEVELSKETCH = ./Scripts/make_levelsketch_images.sh
 
 auto-conf:
 	@$(MAKE_CMD) auto-conf
@@ -94,27 +119,43 @@
 valgrind: all
 	@$(MAKE_CMD) valgrind
 
+tags:
+	$(MAKE_CMD) tags
+
+depend dep:
+	$(MAKE_CMD) depend
+
 enginetest: all
-	./Scripts/make_enginetest.sh
+	$(MAKE_ENGINETEST)
 
 enginetestcustom: all
-	./Scripts/make_enginetest.sh custom
+	$(MAKE_ENGINETEST) custom
 
 enginetestfast: all
-	./Scripts/make_enginetest.sh fast
+	$(MAKE_ENGINETEST) fast
 
 enginetestnew: all
-	./Scripts/make_enginetest.sh new
+	$(MAKE_ENGINETEST) new
 
 leveltest: all
-	./Scripts/make_enginetest.sh leveltest
+	$(MAKE_ENGINETEST) leveltest
 
 levelsketch_images: all
-	./Scripts/make_levelsketch_images.sh
+	$(MAKE_LEVELSKETCH)
+
+
+# -----------------------------------------------------------------------------
+# distribution targets
+# -----------------------------------------------------------------------------
+
+MAKE_DIST = ./Scripts/make_dist.sh
 
 dist-clean:
 	@$(MAKE_CMD) dist-clean
 
+dist-clean-android:
+	@$(MAKE_CMD_ANDROID) dist-clean
+
 dist-build-unix:
 	@BUILD_DIST=TRUE $(MAKE)
 
@@ -124,40 +165,69 @@
 dist-build-macosx:
 	@BUILD_DIST=TRUE $(MAKE)
 
+dist-build-android:
+	@BUILD_DIST=TRUE $(MAKE) android
+
 dist-package-unix:
-	./Scripts/make_dist.sh package unix
+	$(MAKE_DIST) package unix
 
 dist-package-win32:
-	./Scripts/make_dist.sh package win
+	$(MAKE_DIST) package win
 
 dist-package-macosx:
-	./Scripts/make_dist.sh package mac
+	$(MAKE_DIST) package mac
+
+dist-package-android:
+	$(MAKE_DIST) package android
+
+dist-copy-package-unix:
+	$(MAKE_DIST) copy-package unix
+
+dist-copy-package-win32:
+	$(MAKE_DIST) copy-package win
+
+dist-copy-package-macosx:
+	$(MAKE_DIST) copy-package mac
+
+dist-copy-package-android:
+	$(MAKE_DIST) copy-package android
 
 dist-upload-unix:
-	./Scripts/make_dist.sh upload unix
+	$(MAKE_DIST) upload unix
 
 dist-upload-win32:
-	./Scripts/make_dist.sh upload win
+	$(MAKE_DIST) upload win
 
 dist-upload-macosx:
-	./Scripts/make_dist.sh upload mac
+	$(MAKE_DIST) upload mac
+
+dist-upload-android:
+	$(MAKE_DIST) upload android
 
 dist-package-all:
 	$(MAKE) dist-package-unix
 	$(MAKE) dist-package-win32
 	$(MAKE) dist-package-macosx
+	$(MAKE) dist-package-android
+
+dist-copy-package-all:
+	$(MAKE) dist-copy-package-unix
+	$(MAKE) dist-copy-package-win32
+	$(MAKE) dist-copy-package-macosx
+	$(MAKE) dist-copy-package-android
 
 dist-upload-all:
 	$(MAKE) dist-upload-unix
 	$(MAKE) dist-upload-win32
 	$(MAKE) dist-upload-macosx
+	$(MAKE) dist-upload-android
+
+dist-release-all: dist-package-all dist-copy-package-all dist-upload-all
 
 package-all: dist-package-all
 
+copy-package-all: dist-copy-package-all
+
 upload-all: dist-upload-all
 
-tags:
-	$(MAKE_CMD) tags
-
-depend dep:
-	$(MAKE_CMD) depend
+release-all: dist-release-all

=== src/Makefile ===
--- 
+++ 
@@ -31,6 +31,8 @@
 
 PROGBASE = rocksndiamonds
 PROGNAME = ../$(PROGBASE)
+
+EDITION ?= default
 
 
 # -----------------------------------------------------------------------------
@@ -105,7 +107,8 @@
 
 # OPTIONS = $(DEBUG) -Wall			# only for debugging purposes
 # OPTIONS = $(DEBUG) -O3 -Wall			# only for debugging purposes
-OPTIONS = $(DEBUG) -Wall			# only for debugging purposes
+# OPTIONS = $(DEBUG) -Wall			# only for debugging purposes
+OPTIONS = $(DEBUG) -Wall -Wstrict-prototypes -Wmissing-prototypes
 # OPTIONS = $(DEBUG) -Wall -ansi -pedantic	# only for debugging purposes
 # OPTIONS = -O3 -Wall -ansi -pedantic
 # OPTIONS = -O3 -Wall
@@ -195,14 +198,17 @@
 GAME_SP_DIR = game_sp
 GAME_SP = $(GAME_SP_DIR)/game_sp.a
 
-RNDLIBS = $(LIBGAME) $(GAME_EM) $(GAME_SP)
+GAME_MM_DIR = game_mm
+GAME_MM = $(GAME_MM_DIR)/game_mm.a
+
+RNDLIBS = $(LIBGAME) $(GAME_EM) $(GAME_SP) $(GAME_MM)
 AUTOCONF = conf_gfx.h conf_snd.h conf_mus.h
 
 ICONBASE = windows_icon
 ICON_BASEPATH = ../Special/Icons/windows_icons
 
 ifeq ($(PLATFORM),cross-win32)
-ICON_PATH = $(ICON_BASEPATH)/default
+ICON_PATH = $(ICON_BASEPATH)/$(EDITION)
 ICON = $(ICONBASE).o
 endif
 
@@ -213,7 +219,7 @@
 # build targets
 # -----------------------------------------------------------------------------
 
-all: $(AUTOCONF) libgame_dir game_em_dir game_sp_dir $(PROGNAME) graphics_dir
+all: $(AUTOCONF) libgame_dir game_em_dir game_sp_dir game_mm_dir $(PROGNAME) graphics_dir
 
 $(PROGNAME): $(RNDLIBS) $(TIMESTAMP_FILE) $(OBJS) $(ICON)
 	$(CC) $(PROFILING) $(OBJS) $(ICON) $(RNDLIBS) $(LDFLAGS) -o $(PROGNAME)
@@ -235,6 +241,11 @@
 	@$(MAKE) -C $(GAME_SP_DIR)
 $(GAME_SP):
 	@$(MAKE) -C $(GAME_SP_DIR)
+
+game_mm_dir:
+	@$(MAKE) -C $(GAME_MM_DIR)
+$(GAME_MM):
+	@$(MAKE) -C $(GAME_MM_DIR)
 
 auto-conf:
 	@for i in $(CNFS); do			\
@@ -276,6 +287,7 @@
 	$(MAKE) -C $(LIBGAME_DIR) clean
 	$(MAKE) -C $(GAME_EM_DIR) clean
 	$(MAKE) -C $(GAME_SP_DIR) clean
+	$(MAKE) -C $(GAME_MM_DIR) clean
 	$(RM) $(OBJS)
 	$(RM) $(RNDLIBS)
 
@@ -314,12 +326,13 @@
 # -----------------------------------------------------------------------------
 
 tags:
-	$(ETAGS) *.[ch] $(LIBGAME_DIR)/*.[ch] $(GAME_EM_DIR)/*.[ch] $(GAME_SP_DIR)/*.[ch]
+	$(ETAGS) *.[ch] $(LIBGAME_DIR)/*.[ch] $(GAME_EM_DIR)/*.[ch] $(GAME_SP_DIR)/*.[ch] $(GAME_MM_DIR)/*.[ch]
 
 depend:
 	$(MAKE) -C $(LIBGAME_DIR) depend
 	$(MAKE) -C $(GAME_EM_DIR) depend
 	$(MAKE) -C $(GAME_SP_DIR) depend
+	$(MAKE) -C $(GAME_MM_DIR) depend
 	for i in $(SRCS); do $(CPP) $(CFLAGS) -M $$i; done > .depend
 
 ifeq (.depend,$(wildcard .depend))

=== src/libgame/Makefile ===
# =============================================================================
# Rocks'n'Diamonds - McDuffin Strikes Back!
# -----------------------------------------------------------------------------
# (c) 1995-2014 by Artsoft Entertainment
#                  Holger Schemel
#                  info@artsoft.org
#                  http://www.artsoft.org/
# -----------------------------------------------------------------------------
# src/libgame/Makefile
# =============================================================================

# -----------------------------------------------------------------------------
# configuration
# -----------------------------------------------------------------------------

SRCS =	system.c	\
	gadgets.c	\
	text.c		\
	sound.c		\
	joystick.c	\
	snapshot.c	\
	image.c		\
	random.c	\
	hash.c		\
	setup.c		\
	misc.c		\
	sdl.c

OBJS =	system.o	\
	gadgets.o	\
	text.o		\
	sound.o		\
	snapshot.o	\
	joystick.o	\
	image.o		\
	random.o	\
	hash.o		\
	setup.o		\
	misc.o		\
	sdl.o

LIBGAME = libgame.a


# -----------------------------------------------------------------------------
# build targets
# -----------------------------------------------------------------------------

all: $(LIBGAME)

$(LIBGAME): $(OBJS)
	$(AR) cru $(LIBGAME) $(OBJS)
	$(RANLIB) $(LIBGAME)

.c.o:
	$(CC) $(PROFILING) $(CFLAGS) -c $*.c

clean:
	$(RM) $(OBJS)
	$(RM) $(LIBGAME)


# -----------------------------------------------------------------------------
# development only
# -----------------------------------------------------------------------------

depend:
	for i in $(SRCS); do $(CPP) $(CFLAGS) -M $$i; done > .depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
rocksndiamonds (4.1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix grammar in the launcher.
  * Set “Rules-Requires-Root: no”.
  * Update debian/copyright.
  * Standards-Version 4.2.1, no further change required.
  * Move the explanation of this package’s distribution in the contrib
    archive area from debian/README.Debian-sources to debian/copyright.
  * Add manpages.

 -- Stephen Kitt <skitt@debian.org>  Fri, 16 Nov 2018 17:32:59 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
                libsdl2-image-dev,
                libsdl2-mixer-dev,
                libsdl2-net-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/games-team/rocksndiamonds
 Vcs-Git: https://salsa.debian.org/games-team/rocksndiamonds.git
 Homepage: http://artsoft.org
+Rules-Requires-Root: no
 
 Package: rocksndiamonds
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS=harderning=+all

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/buildflags.mk

UPSTREAM_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/+.*//')
LEVEL_DIR := /usr/share/games/rocksndiamonds

%:
	dh $@

override_dh_auto_build:
	touch src/conf_*.h
	dh_auto_build -- RO_GAME_DIR=$(LEVEL_DIR) sdl2

override_dh_auto_install:
	set -e; \
	for file in postinst preinst prerm; do \
		cp debian/$$file.in debian/$$file; \
		perl -pi -e 's/#VERSION#/$(UPSTREAM_VERSION)/g' \
			debian/$$file; \
	done
	mv rocksndiamonds rocksndiamonds-bin
	install -m 0755 debian/start_binary.sh rocksndiamonds

override_dh_auto_clean:
	make clean
	rm -fr src/conftime.h rocksndiamonds-bin \
		debian/postinst debian/preinst debian/prerm
	debconf-updatepo

## rocksndiamonds 4.1.4.1%2Bdfsg

=== src/game_sp/Makefile ===
# =============================================================================
# Rocks'n'Diamonds - McDuffin Strikes Back!
# -----------------------------------------------------------------------------
# (c) 1995-2014 by Artsoft Entertainment
#                  Holger Schemel
#                  info@artsoft.org
#                  http://www.artsoft.org/
# -----------------------------------------------------------------------------
# The native Supaplex game engine is based on:
# - MegaPlex version 0.5 beta release xmas 2001 by Frank Schindler
# - Speed Fix 6.3+ by Herman Perk
# - Supaplex by Michael Stopp & Philip Jespersen
# -----------------------------------------------------------------------------
# src/game_sp/Makefile
# =============================================================================

# -----------------------------------------------------------------------------
# configuration
# -----------------------------------------------------------------------------

SRCS =	init.c			\
	file.c			\
	main.c			\
	vb_lib.c		\
				\
	ASM.c			\
	BugsTerminals.c		\
	DDScrollBuffer.c	\
	DDSpriteBuffer.c	\
	Display.c		\
	DoGameStuff.c		\
	Electrons.c		\
	Explosions.c		\
	Globals.c		\
	Infotrons.c		\
	InitGameConditions.c	\
	Input.c			\
	MainForm.c		\
	MainGameLoop.c		\
	Murphy.c		\
	OrangeDisk.c		\
	SnikSnaks.c		\
	Sound.c			\
	Zonk.c

OBJS =	init.o			\
	file.o			\
	main.o			\
	vb_lib.o		\
				\
	ASM.o			\
	BugsTerminals.o		\
	DDScrollBuffer.o	\
	DDSpriteBuffer.o	\
	Display.o		\
	DoGameStuff.o		\
	Electrons.o		\
	Explosions.o		\
	Globals.o		\
	Infotrons.o		\
	InitGameConditions.o	\
	Input.o			\
	MainForm.o		\
	MainGameLoop.o		\
	Murphy.o		\
	OrangeDisk.o		\
	SnikSnaks.o		\
	Sound.o			\
	Zonk.o

GAME_SP = game_sp.a


# -----------------------------------------------------------------------------
# build targets
# -----------------------------------------------------------------------------

all: $(GAME_SP)

$(GAME_SP): $(OBJS)
	$(AR) cr $(GAME_SP) $(OBJS)
	$(RANLIB) $(GAME_SP)

.c.o:
	$(CC) $(PROFILING) $(CFLAGS) -c $*.c

clean:
	$(RM) $(OBJS)
	$(RM) $(GAME_SP)


# -----------------------------------------------------------------------------
# development only
# -----------------------------------------------------------------------------

depend:
	for i in $(SRCS); do $(CPP) $(CFLAGS) -M $$i; done > .depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif

## rocksndiamonds 4.1.4.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 .EXPORT_ALL_VARIABLES:
 
 SRC_DIR = src
-ANDROID_DIR ?= android
+ANDROID_DIR ?= build-projects/android
 
 MAKE_CMD = $(MAKE) -C $(SRC_DIR)
 MAKE_CMD_ANDROID = $(MAKE) -C $(ANDROID_DIR)

=== src/Makefile ===
--- 
+++ 
@@ -58,26 +58,19 @@
 # configuring target
 # -----------------------------------------------------------------------------
 
-ifndef TARGET				# auto-detect compiling for SDL or SDL2
+ifndef TARGET				# auto-detect compiling for SDL2
   SDL_VERSION := $(shell sdl2-config --version 2> /dev/null)
   ifdef SDL_VERSION
     TARGET = sdl2
   else
-    SDL_VERSION := $(shell sdl-config --version 2> /dev/null)
-    ifdef SDL_VERSION
-      TARGET = sdl
-    else
-      $(error SDL/SDL2 library not found)
-    endif
+    $(error SDL2 library not found)
   endif
 endif
 
 # $(info Using SDL version $(SDL_VERSION) [TARGET == $(TARGET)])
 
 ifeq ($(TARGET),sdl)			# compiling for SDL target
-SYS_CFLAGS = -DTARGET_SDL $(shell sdl-config --cflags)
-SDL_LIBS = -lSDL_image -lSDL_mixer -lSDL_net
-SYS_LDFLAGS = $(SDL_LIBS) $(shell sdl-config --libs)
+  $(error SDL library version 1.2 not supported anymore)
 endif
 
 ifeq ($(TARGET),sdl2)			# compiling for SDL2 target
@@ -121,7 +114,7 @@
 endif
 
 CFLAGS = $(OPTIONS) $(SYS_CFLAGS)  $(EXTRA_CFLAGS) $(CONFIG)
-LDFLAGS =           $(SYS_LDFLAGS) $(EXTRA_LDFLAGS) -lm
+LDFLAGS =           $(SYS_LDFLAGS) $(EXTRA_LDFLAGS) -lm -lz
 
 
 SRCS =	main.c		\

=== build-projects/android/Makefile ===
# -----------------------------------------------------------------------------
# Rocks'n'Diamonds for Android
# -----------------------------------------------------------------------------

# debugging C/ASM:
# arm-linux-androideabi-objdump -S obj/local/armeabi-v7a/libmain.so

PROGBASE = rocksndiamonds

ANDROID_SDK_PATH := ${HOME}/projects/Android/SDK/android-sdk
ANDROID_NDK_PATH := ${HOME}/projects/Android/SDK/android-ndk

SDK_TOOLS_PATH := ${ANDROID_SDK_PATH}/tools
SDK_PLATFORM_TOOLS_PATH := ${ANDROID_SDK_PATH}/platform-tools
NDK_PATH := ${ANDROID_NDK_PATH}

PATH := ${PATH}:${SDK_TOOLS_PATH}:${SDK_PLATFORM_TOOLS_PATH}:${NDK_PATH}

AUTO_GENERATED_DIRS = bin gen obj


all: package

manifest:
	./build-scripts/create_manifest.sh

compile: manifest
	ndk-build NDK_DEBUG=1

verbose: manifest
	ndk-build V=1

package: compile
	ANDROID_AAPT_IGNORE="__IGNORE_NOTHING__" ant debug

install: package
	adb install -r bin/$(PROGBASE)-debug.apk

ant-init:
	android update project --name $(PROGBASE) --path .

assets-toc:
	./build-scripts/create_asset_tocs.sh assets

clean-build:
	ndk-build clean

clean-auto-generated:
	rm -rf $(AUTO_GENERATED_DIRS)

clean: clean-build clean-auto-generated

dist-clean: clean

coredump:
	adb logcat -d | ndk-stack -sym obj/local/armeabi-v7a

=== src/game_em/Makefile ===
--- 
+++ 
@@ -52,7 +52,7 @@
 all: $(GAME_EM)
 
 $(GAME_EM): $(OBJS)
-	$(AR) cru $(GAME_EM) $(OBJS)
+	$(AR) cr $(GAME_EM) $(OBJS)
 	$(RANLIB) $(GAME_EM)
 
 .c.o:

=== src/game_mm/Makefile ===
# =============================================================================
# Rocks'n'Diamonds - McDuffin Strikes Back!
# -----------------------------------------------------------------------------
# (c) 1989-2017 by Artsoft Entertainment
#                  Holger Schemel
#                  info@artsoft.org
#                  http://www.artsoft.org/
# -----------------------------------------------------------------------------
# The native Mirror Magic game engine is based on:
# - Mirror Magic II by Holger Schemel (Linux/DOS/Windows version, 1995)
# - Mindbender by Holger Schemel (Amiga version, 1989)
# -----------------------------------------------------------------------------
# src/game_mm/Makefile
# =============================================================================

# -----------------------------------------------------------------------------
# configuration
# -----------------------------------------------------------------------------

SRCS =	mm_init.c		\
	mm_main.c		\
	mm_game.c		\
	mm_files.c		\
	mm_tools.c

OBJS =	mm_init.o		\
	mm_main.o		\
	mm_game.o		\
	mm_files.o		\
	mm_tools.o

GAME_MM = game_mm.a


# -----------------------------------------------------------------------------
# build targets
# -----------------------------------------------------------------------------

all: $(GAME_MM)

$(GAME_MM): $(OBJS)
	$(AR) cr $(GAME_MM) $(OBJS)
	$(RANLIB) $(GAME_MM)

.c.o:
	$(CC) $(PROFILING) $(CFLAGS) -c $*.c

clean:
	$(RM) $(OBJS)
	$(RM) $(GAME_MM)


# -----------------------------------------------------------------------------
# development only
# -----------------------------------------------------------------------------

depend:
	for i in $(SRCS); do $(CPP) $(CFLAGS) -M $$i; done > .depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== src/libgame/Makefile ===
--- 
+++ 
@@ -24,7 +24,11 @@
 	hash.c		\
 	setup.c		\
 	misc.c		\
-	sdl.c
+	sdl.c		\
+	zip/ioapi.c	\
+	zip/iowin32.c	\
+	zip/unzip.c	\
+	zip/miniunz.c
 
 OBJS =	system.o	\
 	gadgets.o	\
@@ -37,7 +41,11 @@
 	hash.o		\
 	setup.o		\
 	misc.o		\
-	sdl.o
+	sdl.o		\
+	zip/ioapi.o	\
+	zip/iowin32.o	\
+	zip/unzip.o	\
+	zip/miniunz.o
 
 LIBGAME = libgame.a
 
@@ -49,11 +57,11 @@
 all: $(LIBGAME)
 
 $(LIBGAME): $(OBJS)
-	$(AR) cru $(LIBGAME) $(OBJS)
+	$(AR) cr $(LIBGAME) $(OBJS)
 	$(RANLIB) $(LIBGAME)
 
 .c.o:
-	$(CC) $(PROFILING) $(CFLAGS) -c $*.c
+	$(CC) $(PROFILING) $(CFLAGS) -c $*.c -o $*.o
 
 clean:
 	$(RM) $(OBJS)

=== debian/changelog ===
rocksndiamonds (4.1.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 17 Jan 2020 06:40:20 +0100

rocksndiamonds (4.1.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 13 Jan 2020 08:59:34 +0100

rocksndiamonds (4.1.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release. Closes: #945482.
  * Drop the chown/chmod Lintian overrides (see #936060).
  * Switch to debhelper compatibility level 12.
  * Standards-Version 4.4.1, no change required.
  * Fix the hardening configuration so it is actually taken into
    account.

 -- Stephen Kitt <skitt@debian.org>  Tue, 26 Nov 2019 17:46:56 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Dmitry E. Oboukhov <unera@debian.org>, Stephen Kitt <skitt@debian.org>
 Section: contrib/games
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                po-debconf,
                libsdl2-dev,
                libsdl2-image-dev,
                libsdl2-mixer-dev,
                libsdl2-net-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/games-team/rocksndiamonds
 Vcs-Git: https://salsa.debian.org/games-team/rocksndiamonds.git
 Homepage: http://artsoft.org

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 DPKG_EXPORT_BUILDFLAGS = 1
-export DEB_BUILD_MAINT_OPTIONS=harderning=+all
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/dpkg/buildflags.mk
